/* @zgen.c - general functions
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <setjmp.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include "gen.h"
#include "bopen.h"
#include "rbopen.h"

/* b@cget - get one character from buffered file
 */
int cget(BFD bfd)
	{
	return cgetfd(BSTDIN);
	}

/* b@cput - put one character to buffered file
 */
int cput(int ichar)
	{
	return cputfd(BSTDOUT, ichar);
	}

/* z@eprint - formatted output to stderr
 */
int eprint(char *fmt, VAR_ARGS)
	{
	int rtn = 0;
	va_list list;

	va_start(list, fmt);
	rtn = vfprint(BSTDERR, fmt, list);
	va_end(list);
	return rtn;
	}

int printi(long l, int len, int base)
	{
	return printifd(BSTDOUT, l, len, base);
	}
int printb(char *str, int len)
	{
	return printbfd(BSTDOUT, str, len);
	}
